# Method: projects.locations.connections.getConnectionSchemaMetadata

- [HTTP request](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/getConnectionSchemaMetadata#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/getConnectionSchemaMetadata#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/getConnectionSchemaMetadata#body.request_body)
- [Response body](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/getConnectionSchemaMetadata#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/getConnectionSchemaMetadata#body.ConnectionSchemaMetadata.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/getConnectionSchemaMetadata#body.aspect)
- [State](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/getConnectionSchemaMetadata#State)
- [Try it!](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/getConnectionSchemaMetadata#try-it)

Gets schema metadata of a connection. SchemaMetadata is a singleton resource for each connection.

### HTTP request

`GET https://connectors.googleapis.com/v1/{name=projects/*/locations/*/connections/*/connectionSchemaMetadata}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Connection name Format: projects/{project}/locations/{location}/connections/{connection}/connectionSchemaMetadata Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `connectors.schemametadata.get` |

### Request body

The request body must be empty.

### Response body

ConnectionSchemaMetadata is the singleton resource of each connection. It includes the entity and action names of runtime resources exposed by a connection backend.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entities": [ string ], "actions": [ string ], "name": string, "updateTime": string, "refreshTime": string, "state": enum (`https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/getConnectionSchemaMetadata#State`), "errorMessage": string } ``` |

| Fields ||
|---|---|
| `entities[]` | `string` Output only. List of entity names. |
| `actions[]` | `string` Output only. List of actions. |
| `name` | `string` Output only. Resource name. Format: projects/{project}/locations/{location}/connections/{connection}/connectionSchemaMetadata |
| `updateTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. Timestamp when the connection runtime schema was updated. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `refreshTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. Timestamp when the connection runtime schema refresh was triggered. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `state` | ``enum (`https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/getConnectionSchemaMetadata#State`)`` Output only. The current state of runtime schema. |
| `errorMessage` | `string` Error message for users. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## State

State of connection runtime schema.

| Enums ||
|---|---|
| `STATE_UNSPECIFIED` | Default state. |
| `REFRESHING` | Schema refresh is in progress. |
| `UPDATED` | Schema has been updated. |
| `REFRESHING_SCHEMA_METADATA` | Schema refresh for metadata is in progress. |
| `UPDATED_SCHEMA_METADATA` | Schema metadata has been updated. |
| `REFRESH_SCHEMA_METADATA_FAILED` | Failed to refresh schema metadata |
| `REFRESHING_FULL_SCHEMA` | Triggered full schema refresh |
| `UPDATED_FULL_SCHEMA` | Updated full schema |